cutlass::reference::host::detail::RandomGaussianFunc< Element > Struct Template Reference

`#include <tensor_fill.h>`

## Public Member Functions

| RandomGaussianFunc (uint64_t seed_=0, double mean_=0, double stddev_=1, int int_scale_=-1)
Element | operator() () const
| Compute random value and update RNG state. More...

## Public Attributes

uint64_t | seed
double | mean
double | stddev
int | int_scale
double | pi

## Constructor & Destructor Documentation

template<typename Element>

cutlass::reference::host::detail::RandomGaussianFunc< Element >::RandomGaussianFunc | ( | uint64_t | seed_ = `0`,
|  | double | mean_ = `0`,
|  | double | stddev_ = `1`,
|  | int | int_scale_ = `-1`
| ) |  |

inline

## Member Function Documentation

template<typename Element>

Element cutlass::reference::host::detail::RandomGaussianFunc< Element >::operator() | ( |  | ) | const

inline

## Member Data Documentation

template<typename Element>

int cutlass::reference::host::detail::RandomGaussianFunc< Element >::int_scale

template<typename Element>

double cutlass::reference::host::detail::RandomGaussianFunc< Element >::mean

template<typename Element>

double cutlass::reference::host::detail::RandomGaussianFunc< Element >::pi

template<typename Element>

uint64_t cutlass::reference::host::detail::RandomGaussianFunc< Element >::seed

template<typename Element>

double cutlass::reference::host::detail::RandomGaussianFunc< Element >::stddev

The documentation for this struct was generated from the following file:

- host/tensor_fill.h